man(8)

NAME
malcontent-timerd — Parental Controls Timer Daemon

SYNOPSIS
malcontent-timerd [-a bus-address]

DESCRIPTION
malcontent-timerd is a coordination process for storing and querying session and app usage records. Child accounts which are under parental control on the computer submit usage records of their time spent using a login session or apps, and malcontent-timerd combines and stores those records for a period of weeks to allow session and app usage limits to be imposed on the child account, and to allow parent users to query the child’s usage of the computer.

malcontent-timerd is designed to be run by systemd(1), being D-Bus activated. There should be no need to run malcontent-timerd manually. Use malcontent-client(8) to submit usage entries and query session limits and time remaining from the command line.

OPTIONS

-a, --bus-address=
    Address of a D-Bus message bus to connect to. This is intended for debugging use only. (Default: The system bus.)

-t, --inactivity-timeout=
    Inactivity timeout (in milliseconds) to wait before exiting the service if no requests have been made during that period. If set to 0, the timeout is disabled and the service will run indefinitely. (Default: 30 seconds.)

ENVIRONMENT
malcontent-timerd supports the standard GLib environment variables for debugging. These variables are not intended to be used in production:

$G_MESSAGES_DEBUG
    This variable can contain one or more debug domain names to display debug output for. The value all will enable all debug output. The default is for no debug output to be enabled.

EXIT STATUS
malcontent-timerd may return one of several error codes if it encounters problems.

0   No problems occurred. The timer daemon ran, responded to zero or more requests, and then exited due to being explicitly closed, or timing out due to finishing all requests.

1   An invalid option was passed to malcontent-timerd on startup.

2   The D-Bus name for malcontent-timerd was not available.

3   malcontent-timerd was run in an inappropriate environment, for example as the root user.

FILES

/lib/systemd/system/malcontent-timerd.service
    systemd(1) service file which specifies the runtime environment for malcontent-timerd. See systemd.service(5).

SEE ALSO
malcontent-client(8), malcontent-timer-extension-agent(8)

BUGS
Any bugs which are found should be reported on the project website:
https://gitlab.freedesktop.org/pwithnall/malcontent/-/issues

AUTHOR
GNOME Foundation, Inc. Philip Withnall

COPYRIGHT
Copyright © 2025 GNOME Foundation, Inc.